{ pkgs ? import <nixpkgs> {} }:
  pkgs.mkShell {
    buildInputs = [
      (pkgs.python3.withPackages (python-pkgs: with python-pkgs; [
        # Python bindings for Glib
        pygobject3
        # Typing Stubs for PyGObject
        pygobject-stubs

        # Optional static typing for Python
        mypy

        # Not sure if required
        #dbus-python
      ]))

      pkgs.libcanberra-gtk3

      # Not sure if required
      #pkgs.glib
      #pkgs.gtk4
      #pkgs.gobject-introspection
    ];
}
